Subject: Re: [mpls] mpls Digest, Vol 81, Issue 33

From: <[email-masked]>
Date: Thu, 20 Jan 2011 15:56:17 +0100

sent by T-Systems mobility solutions

----- Ursprüngliche Nachricht -----
Von: [email-masked] <[email-masked]>
Gesendet: Freitag, 14. Januar 2011 21:03
An: [email-masked] <[email-masked]>
Betreff: mpls Digest, Vol 81, Issue 33

If you have received this digest without all the individual message
attachments you will need to update your digest options in your list
subscription.  To do so, go to

https://www.ietf.org/mailman/listinfo/mpls

Click the 'Unsubscribe or edit options' button, log in, and set "Get
MIME or Plain Text Digests?" to MIME.  You can set this option
globally for all the list digests you receive at this point.

Send mpls mailing list submissions to
        [email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
        https://www.ietf.org/mailman/listinfo/mpls
or, via email, send a message with subject or body 'help' to
        [email-masked]

You can reach the person managing the list at
        [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of mpls digest..."

Today's Topics:

   1. Re: R: Draft: Response to Updated draft   RecommendationG.tpoam
      [Ref 043.02] (Luyuan Fang (lufang))
   2. Re: R: Draft: Response to Updated draft   RecommendationG.tpoam
      [Ref 043.02] (Thomas Walsh)
   3. Re: R: Draft: Response to Updated draftRecommendationG.tpoam
      [Ref 043.02] (Luyuan Fang (lufang))
   4. Re: R: Draft: Response to Updated draft   Recommendation
      G.tpoam [Ref 043.02] (John E Drake)

----------------------------------------------------------------------

Message: 1
Date: Fri, 14 Jan 2011 09:28:16 -0600
From: "Luyuan Fang (lufang)" <[email-masked]>
Subject: Re: [mpls] R: Draft: Response to Updated draft
        RecommendationG.tpoam [Ref 043.02]
To: "Eric Rosen (erosen)" <[email-masked]>,   "Christopher
        LILJENSTOLPE" <[email-masked]>
Cc: [email-masked], "Stewart Bryant \(stbryant\)" <[email-masked]>
Message-ID:
        <[email-masked]>
Content-Type: text/plain;       charset="iso-8859-1"

In fact, no MPLS or any other IETF protocol extensions/modifications can be standardized outside of IETF in any case.

Other SDOs can develop technologies independently as long as not extending/modifying IETF protocols on their own.

Luyuan

-----Original Message-----
From: Luyuan Fang (lufang)
Sent: 14 January 2011 10:19
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Agree with Eric.

This brought us back to 2008 with two options on the table again.

Option 1: IETF/ITU-T work jointly - ITU-T provides transport requirements, IETF defines the protocols.
Option 2: IETF and ITU-T each develop separately, in that case, no MPLS protocol extensions/modifications can be standardized outside of IETF, nor the use of MPLS naming.

The consequences of breaching the joint agreement would lead to Option 2.

References:
[RFC 5317]: Joint Working Team (JWT) Report on MPLS Architectural Considerations for a Transport Profile, Feb. 2009.
[RFC 4775]: Procedures for Protocol Extensions and Variations, Dec. 2006.
[RFC 4929]: Change Process for Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS) Protocols and Procedures, June 2007.

Luyuan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Rosen (erosen)
Sent: 14 January 2011 09:19
To: Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

> It is a statement that identifies that the ITU-T did not follow the
> JWT agreement between the IETF and the ITU-T, nor internal ITU-T and
> IETF processes. ?It does not say that the IETF will not meet it's
> obligations under the JWT if the request is made the correct way.
> It's not a "bugger off" it's a "please work with us in the manner
> previously agreed and respect our process"

I don't understand why the Liaison is so measured and restrained (wishy-washy).  Since the ITU-T has breached the agreement, I don't see why the IETF should be thought to have any further obligations under the JWT.
Shouldn't the liaison state the consequences of this breach?

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

------------------------------

Message: 2
Date: Fri, 14 Jan 2011 10:53:50 -0500
From: Thomas Walsh <[email-masked]>
Subject: Re: [mpls] R: Draft: Response to Updated       draft
        RecommendationG.tpoam [Ref 043.02]
To: "Luyuan Fang (lufang)" <[email-masked]>, "Eric Rosen (erosen)"
        <[email-masked]>, Christopher LILJENSTOLPE <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,    "Stewart Bryant \(stbryant\)"
        <[email-masked]>
Message-ID:
        <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

The problem is only at the Rapporteur level.  It isn't an official ITU-T action until and unless its is confirmed at the Working Party meeting in Geneva in February.

There is an interesting liaison (TD-563 GEN) from IETF to SG 11 meeting this month explaining what needs to be done if ITU-T wants to develop a new protocol rather than use IETF protocol. "In particular, different identifiers, formats, protocol names, and protocol component names be used at all levels of the protocol stack implied by the design."

MPLS can not be modified without IETF approval and ITU-T would need to create an entire new suite of protocols with new identifiers, formats, names, etc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Luyuan Fang (lufang)
Sent: Friday, January 14, 2011 7:28 AM
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

In fact, no MPLS or any other IETF protocol extensions/modifications can be standardized outside of IETF in any case.

Other SDOs can develop technologies independently as long as not extending/modifying IETF protocols on their own.

Luyuan

-----Original Message-----
From: Luyuan Fang (lufang)
Sent: 14 January 2011 10:19
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Agree with Eric.

This brought us back to 2008 with two options on the table again.

Option 1: IETF/ITU-T work jointly - ITU-T provides transport requirements, IETF defines the protocols.
Option 2: IETF and ITU-T each develop separately, in that case, no MPLS protocol extensions/modifications can be standardized outside of IETF, nor the use of MPLS naming.

The consequences of breaching the joint agreement would lead to Option 2.

References:
[RFC 5317]: Joint Working Team (JWT) Report on MPLS Architectural Considerations for a Transport Profile, Feb. 2009.
[RFC 4775]: Procedures for Protocol Extensions and Variations, Dec. 2006.
[RFC 4929]: Change Process for Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS) Protocols and Procedures, June 2007.

Luyuan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Rosen (erosen)
Sent: 14 January 2011 09:19
To: Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

> It is a statement that identifies that the ITU-T did not follow the
> JWT agreement between the IETF and the ITU-T, nor internal ITU-T and
> IETF processes. ?It does not say that the IETF will not meet it's
> obligations under the JWT if the request is made the correct way.
> It's not a "bugger off" it's a "please work with us in the manner
> previously agreed and respect our process"

I don't understand why the Liaison is so measured and restrained (wishy-washy).  Since the ITU-T has breached the agreement, I don't see why the IETF should be thought to have any further obligations under the JWT.
Shouldn't the liaison state the consequences of this breach?

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

------------------------------

Message: 3
Date: Fri, 14 Jan 2011 10:20:16 -0600
From: "Luyuan Fang (lufang)" <[email-masked]>
Subject: Re: [mpls] R: Draft: Response to Updated
        draftRecommendationG.tpoam      [Ref 043.02]
To: "Thomas Walsh" <[email-masked]>,        "Eric Rosen (erosen)"
        <[email-masked]>,     "Christopher LILJENSTOLPE" <[email-masked]>
Cc: [email-masked], "Stewart Bryant \(stbryant\)" <[email-masked]>
Message-ID:
        <[email-masked]>
Content-Type: text/plain;       charset="iso-8859-1"

> MPLS can not be modified without IETF approval and ITU-T would need to create an entire new suite of protocols with new identifiers, formats, names, etc.

Yep, if that is the route folks like to take.

-----Original Message-----
From: Thomas Walsh [mailto:[email-masked]]
Sent: 14 January 2011 10:54
To: Luyuan Fang (lufang); Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draftRecommendationG.tpoam [Ref 043.02]

The problem is only at the Rapporteur level.  It isn't an official ITU-T action until and unless its is confirmed at the Working Party meeting in Geneva in February.

There is an interesting liaison (TD-563 GEN) from IETF to SG 11 meeting this month explaining what needs to be done if ITU-T wants to develop a new protocol rather than use IETF protocol. "In particular, different identifiers, formats, protocol names, and protocol component names be used at all levels of the protocol stack implied by the design."

MPLS can not be modified without IETF approval and ITU-T would need to create an entire new suite of protocols with new identifiers, formats, names, etc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Luyuan Fang (lufang)
Sent: Friday, January 14, 2011 7:28 AM
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

In fact, no MPLS or any other IETF protocol extensions/modifications can be standardized outside of IETF in any case.

Other SDOs can develop technologies independently as long as not extending/modifying IETF protocols on their own.

Luyuan

-----Original Message-----
From: Luyuan Fang (lufang)
Sent: 14 January 2011 10:19
To: Eric Rosen (erosen); Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: RE: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

Agree with Eric.

This brought us back to 2008 with two options on the table again.

Option 1: IETF/ITU-T work jointly - ITU-T provides transport requirements, IETF defines the protocols.
Option 2: IETF and ITU-T each develop separately, in that case, no MPLS protocol extensions/modifications can be standardized outside of IETF, nor the use of MPLS naming.

The consequences of breaching the joint agreement would lead to Option 2.

References:
[RFC 5317]: Joint Working Team (JWT) Report on MPLS Architectural Considerations for a Transport Profile, Feb. 2009.
[RFC 4775]: Procedures for Protocol Extensions and Variations, Dec. 2006.
[RFC 4929]: Change Process for Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS) Protocols and Procedures, June 2007.

Luyuan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Rosen (erosen)
Sent: 14 January 2011 09:19
To: Christopher LILJENSTOLPE
Cc: [email-masked]; Stewart Bryant (stbryant)
Subject: Re: [mpls] R: Draft: Response to Updated draft RecommendationG.tpoam [Ref 043.02]

> It is a statement that identifies that the ITU-T did not follow the
> JWT agreement between the IETF and the ITU-T, nor internal ITU-T and
> IETF processes. ?It does not say that the IETF will not meet it's
> obligations under the JWT if the request is made the correct way.
> It's not a "bugger off" it's a "please work with us in the manner
> previously agreed and respect our process"

I don't understand why the Liaison is so measured and restrained (wishy-washy).  Since the ITU-T has breached the agreement, I don't see why the IETF should be thought to have any further obligations under the JWT.
Shouldn't the liaison state the consequences of this breach?

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

------------------------------

Message: 4
Date: Fri, 14 Jan 2011 10:01:47 -0800
From: John E Drake <[email-masked]>
Subject: Re: [mpls] R: Draft: Response to Updated draft Recommendation
        G.tpoam [Ref 043.02]
To: "[email-masked]" <[email-masked]>, Christopher LILJENSTOLPE
        <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]"
        <[email-masked]>
Message-ID:
        <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

And actually, given the situation, asking the IETF to review this document is really an act of disrespect.

Sent from my iPhone

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Eric Rosen
> Sent: Friday, January 14, 2011 6:19 AM
> To: Christopher LILJENSTOLPE
> Cc: [email-masked]; [email-masked]
> Subject: Re: [mpls] R: Draft: Response to Updated draft Recommendation
> G.tpoam [Ref 043.02]
>
>
> > It is a statement that identifies that the ITU-T did not follow the
> JWT
> > agreement between the IETF and the ITU-T, nor internal ITU-T and IETF
> > processes. ?It does not say that the IETF will not meet it's
> obligations
> > under the JWT if the request is made the correct way. ?It's not a
> "bugger
> > off" it's a "please work with us in the manner previously agreed and
> > respect our process"
>
> I don't understand why the Liaison is so measured and restrained
> (wishy-washy).  Since the ITU-T has breached the agreement, I don't see
> why
> the IETF should be thought to have any further obligations under the
> JWT.
> Shouldn't the liaison state the consequences of this breach?
>
>
>
>
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

------------------------------

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

End of mpls Digest, Vol 81, Issue 33
************************************